org.springframework.cloud.dataflow.server.repository.support

## Enum DatabaseType

- java.lang.Object
- - java.lang.Enum<DatabaseType>
  - - org.springframework.cloud.dataflow.server.repository.support.DatabaseType

- All Implemented Interfaces:
    Serializable, Comparable<DatabaseType>

      public enum DatabaseType
      extends Enum<DatabaseType>

  Enum representing a database type, such as Postgres or Oracle. The type also contains a product name, which is expected to be the same as the product name provided by the database driver's metadata.
  Author:
    Glenn Renfro

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DB2`
    `H2`
    `HSQL`
    `MYSQL`
    `ORACLE`
    `POSTGRES`
    `SQLSERVER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DatabaseType` | `fromMetaData(DataSource dataSource)` Convenience method that pulls a database product name from the DataSource's metadata.
    `static DatabaseType` | `fromProductName(String productName)` Static method to obtain a DatabaseType from the provided product name.
    `static DatabaseType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DatabaseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HSQL

          public static final DatabaseType HSQL

    - #### H2

          public static final DatabaseType H2

    - #### ORACLE

          public static final DatabaseType ORACLE

    - #### MYSQL

          public static final DatabaseType MYSQL

    - #### POSTGRES

          public static final DatabaseType POSTGRES

    - #### SQLSERVER

          public static final DatabaseType SQLSERVER

    - #### DB2

          public static final DatabaseType DB2

  - ### Method Detail

    - #### values

          public static DatabaseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatabaseType c : DatabaseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DatabaseType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromMetaData

          public static DatabaseType fromMetaData(DataSource dataSource)
                                           throws org.springframework.jdbc.support.MetaDataAccessException

      Convenience method that pulls a database product name from the DataSource's metadata.
      Parameters:
        `dataSource` - the datasource used to extact metadata.
      Returns:
        DatabaseType The database type associated with the datasource.
      Throws:
        `org.springframework.jdbc.support.MetaDataAccessException` - thrown if failure occurs on metadata lookup.

    - #### fromProductName

          public static DatabaseType fromProductName(String productName)

      Static method to obtain a DatabaseType from the provided product name.
      Parameters:
        `productName` - the name of the database.
      Returns:
        DatabaseType for given product name.
      Throws:
        `IllegalArgumentException` - if none is found.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.